# Javascript methods

## addFileToSet( setName, fileName ) <a href="#addfiletoset" id="addfiletoset"></a>

Adds a file to a Css set.

* **`setName`** The name of the set
* **`fileName`The file name, relative to the set's configured directory.**

## getSetUrl( setNames ) <a href="#getseturl" id="getseturl"></a>

Builds a URL to request the given set contents.

* **`setNames`** Optional name of the Javascript set, or an array of them. If set to `false`, all available sets are used. Default: `false`

**Returns:** The URL of the requested Javascript sets.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/version-0.x/reference/core-modules/javascript/javascript-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
